<?php

namespace STM\Match\Lineup;

use \Exception;
use STM\StmFactory;

/**
 * Test class for MatchPlayer.
 * Generated by PHPUnit on 2012-07-11 at 12:51:50.
 * @group match_lineup
 */
class MatchPlayerTest extends \PHPUnit_Framework_TestCase {

    public function testfindById() {
        $bad_values = array(null, false, array(), new Exception());
        foreach ($bad_values as $value) {
            parent::assertFalse(StmFactory::find()->MatchPlayer->findById($value));
        }
        $existing_ids = array(1,2,3);
        foreach ($existing_ids as $id) {
            $player = StmFactory::find()->MatchPlayer->findById($id);
            if ($player) {
                parent::assertInstanceOf('\STM\Match\Lineup\MatchPlayer', $player);
            }
        }
    }

    public function testCreate() {
        parent::markTestSkipped('test in MatchPlayerValidatorTest');
    }

    public function testDelete() {
        parent::markTestSkipped('only DB fail');
    }

    public function testUpdate() {
        parent::markTestSkipped('test in MatchPlayerValidatorTest');
    }
}

?>